// 按需全局引入 vant组件
import Vue from 'vue';
import {
  Button,
  Tabbar,
  TabbarItem,
  Calendar,
  Cell,
  CellGroup,
  Col,
  DatetimePicker,
  Dialog,
  Field,
  Form,
  Icon,
  Image,
  List,
  Loading,
  NavBar,
  NoticeBar,
  Notify,
  Overlay,
  Popup,
  PullRefresh,
  Radio,
  RadioGroup,
  Row,
  Slider,
  Swipe,
  SwipeCell,
  SwipeItem,
  Switch,
  Tab,
  Tabs,
  Toast,
  Tag,
  Image as VanImage,
  ActionSheet,
  DropdownMenu,
  DropdownItem,
  Uploader,
  Checkbox,
  CheckboxGroup,
  Circle,
  Collapse,
  CollapseItem,
  ImagePreview,
  Picker
} from 'vant';
Vue.use(Button)
  .use(NavBar)
  .use(Calendar)
  .use(Cell)
  .use(CellGroup)
  .use(Col)
  .use(DatetimePicker)
  .use(Dialog)
  .use(Icon)
  .use(Image)
  .use(Form)
  .use(Field)
  .use(List)
  .use(Loading)
  .use(NavBar)
  .use(NoticeBar)
  .use(Notify)
  .use(Overlay)
  .use(Popup)
  .use(PullRefresh)
  .use(Radio)
  .use(RadioGroup)
  .use(Row)
  .use(Slider)
  .use(Tabbar)
  .use(TabbarItem)
  .use(Swipe)
  .use(SwipeCell)
  .use(SwipeItem)
  .use(Switch)
  .use(Tab)
  .use(Tabs)
  .use(Toast)
  .use(Tag)
  .use(VanImage)
  .use(ActionSheet)
  .use(DropdownMenu)
  .use(DropdownItem)
  .use(Uploader)
  .use(Checkbox)
  .use(CheckboxGroup)
  .use(Circle)
  .use(Collapse)
  .use(CollapseItem)
  .use(ImagePreview)
  .use(Picker);
